@font-face {
  font-family: "Inter";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src:
    url("../fonts/Inter-Regular.woff2") format("woff2"),
    url("../fonts/Inter-Regular.woff") format("woff");
}


@font-face {
  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src:
    url("../fonts/Inter-SemiBold.woff2") format("woff2"),
    url("../fonts/Inter-SemiBold.woff") format("woff");
}

* {
  box-sizing: border-box;
}

html {
  min-height: 100vh;
}

body {
  min-height: 100vh;
  margin: 0;
  display: flex;
  flex-direction: column;
  background-color: #1e1e23;
  font-family: "Inter", "Open Sans", sans-serif;
  font-weight: 600;
  font-size: 26px;
  color: #ffffff;
}

.premier {
  background-image: url('../images/premier-bg.jpg');
  background-size: cover;
  background-position: 0 center;
  background-repeat: no-repeat;
}

.modal-open {
  overflow: hidden;
}

main {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.header {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 1px solid #3a3a43;
  min-height: 84px;
  /* background-color: #1e1e23; */
  background-image: linear-gradient(to bottom, #1e1e23);
}

.header__logo {
  position: absolute;
  left: 58px;
  top: 27px;
  width: 271px;
  height: auto;
}

.header__title {
  margin: 0;
  padding: 0;
  font-size: 26px;
}

.main {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 24px;
}

.container {
  margin: 0 auto;
  width: 780px;
  max-width: 100%;
}

.form {
  width: 490px;
  max-width: 100%;
  padding: 24px 0;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.form--modal {
  gap: 12px;
}

.form__wrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.form__error {
  position: absolute;
  bottom: -18px;
  left: 14px;
  margin: 0;
  padding: 0;
  min-height: 14px;
  font-size: 12px;
  color: #ff0000;
}

.form__label {
  text-align: center;
  font-size: 26px;
  font-weight: 600;
}

.form__input {
  padding: 20px;
  text-align: center;
  background-color: #3a3a43;
  border-radius: 29px;
  min-height: 85px;
  font-family: inherit;
  font-weight: 400;
  font-size: 34px;
  line-height: 40px;
  color: #ffffff;
  border: none;
  border-image: none;
  text-transform: uppercase;
}

.form__input:focus-visible {
  outline: none;
  box-shadow: 0 0 0 2px #f7cd01;

}

.form__input.error {
  outline: none;
  box-shadow: 0 0 0 2px #ff0000;
}

.form__input:-webkit-autofill,
.form__input:-webkit-autofill:hover,
.form__input:-webkit-autofill:focus {
  -webkit-box-shadow: 0 0 0 1000px #3a3a43 inset;
  -webkit-text-fill-color: #ffffff;
}

.button {
  min-height: 85px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #f7cd01;
  color: #1e1e23;
  border: none;
  border-radius: 29px;
  font-family: inherit;
  font-size: 24px;
  font-weight: 600;
  cursor: pointer;
}

.button:disabled {
  background-color: rgb(221, 184, 1);
  cursor: auto;
}

.message {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.message__title {
  margin: 0;
  padding: 0;
  font-size: 36px;
  font-weight: 600;
  text-align: center;
}

.message__text {
  margin: 0;
  padding: 0;
  font-size: 24px;
  font-weight: 600;
  text-align: center;
}

.message__buttons {
  margin: 0 auto;
  max-width: 80%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 12px;
}

.message__button {
  width: calc(50% - 12px);
  padding: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #000;
  border: 2px solid #a6a6a6;
  border-radius: 8px;
  text-decoration: none;
  cursor: pointer;
}

.message__link {
  color: #ffffff;
  cursor: pointer;
  max-width: 50%;
  font-size: 20px;
  text-align: center;
}

.message__button img {
  width: 90%;
  height: auto;
  object-fit: contain;
}

.hidden {
  display: none;
}

.widget {
  border-radius: 20px;
  background-color: #000e27;
  padding: 24px 16px;
  max-height: calc(100vh - 140px);
  overflow-y: auto;
}

.widget__title {
  margin: 0;
  font-size: 24px;
  text-align: center;
}

.widget__wrapper {
  display: flex;
  align-items: center;
  margin: 0 auto;
}

.widget__column {
  box-sizing: border-box;
  width: 50%;
  padding: 20px;
}

.widget__image {
  width: 105px;
  height: 105px;
  display: block;
  margin: 0 auto;
}

.widget__text {
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding: 0;
  margin: 0;

  font-size: 20px;
  font-weight: 400;
}

.widget__price {
  margin: 0;
  font-size: 24px;
  text-align: center;
}

.widget__info {
  text-align: center;
  font-size: 14px;
  text-decoration: underline;
  font-weight: 400;
  color: #dcdde08c;
}

.overlay {
  box-sizing: border-box;
  position: fixed;
  z-index: 10;
  inset: 0;
  background-color: #0b1e46bd;
  padding: 48px;
}

.payment-info__modal {
  margin: 0 auto;
  padding: 24px;
  box-sizing: border-box;
  height: 100%;
  width: 80%;
  background-color: #fff;
  border-radius: 20px;
  background-color: #000e27;
  overflow-y: auto;
  font-size: 20px;
  font-weight: 400;
}

.payment-info__button {
  float: right;
  top: 0;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px;
  cursor: pointer;
  background-color: transparent;
  border: 0;
}

.payment-info__link {
  color: #ffffff;
}

.widget::-webkit-scrollbar,
.payment-info__modal::-webkit-scrollbar {
  width: 7px;
}

.widget::-webkit-scrollbar-track,
.payment-info__modal::-webkit-scrollbar-track {
  background: transparent;
}

.widget::-webkit-scrollbar-thumb,
.payment-info__modal::-webkit-scrollbar-thumb {
  border-radius: 50px;
  border: 1px solid transparent;
  background-clip: padding-box;
  background-color: rgb(31, 45, 77);
}

.error {
  display: flex;
  align-items: center;
  justify-content: center;
}

.error.hidden {
  display: none;
}

.error button {
  display: block;
  width: 100%;
  height: auto;
  padding: 24px;
  background-color: transparent;
  border: 2px solid #f7cd01;
  color: #ffffff;
}

.error__modal {
  text-align: center;
  padding: 24px;
  border-radius: 20px;
  background-color: #000e27;
}

@media (max-width: 1023px) {
  main {
    flex-grow: 0.5;
  }

  .header {
    padding: 24px 0;
    border: none;
    flex-direction: column;
    align-items: stretch;
    background-image: linear-gradient(to bottom,#1e1e23 0, #1e1e23 82px, #3a3a43 82px, #3a3a43 83px, transparent 84px);
  }

  .header__logo {
    position: static;
    margin-bottom: 24px;
    margin-left: 24px;
  }

  .header__title {
    padding: 24px;
    text-align: center;
    /* border-top: 1px solid #3a3a43; */
  }

  .widget {
    max-height: calc(100vh - 240px);
  }

  .message__buttons {
    max-width: 70%;
  }
}

@media (max-width: 680px) {
  body {
    min-height: 80vh;
  }

  .header {
    padding: 14px 0;
    background-image: linear-gradient(to bottom,#1e1e23 0, #1e1e23 52px, #3a3a43 52px, #3a3a43 53px, transparent 53px);
  }

  .header__logo {
    top: calc(50% - 7px);
    width: 135px;
    margin-bottom: 14px;
  }

  .header__title {
    padding: 14px;
    font-size: 14px;
  }

  .form {
    width: 64vw;
  }

  .form__label {
    font-size: 13px;
  }

  .form__input {
    padding: 0 8px;
    font-size: 19px;
    min-height: 42px;
    border-radius: 14px;
  }

  .button {
    font-size: 12px;
    min-height: 42px;
    border-radius: 14px;
  }

  .message {
    gap: 35px;
  }

  .message__title {
    font-size: 20px;
  }

  .message__text {
    font-size: 13px;
  }

  .message__buttons {
    max-width: 400px;
    width: 90%;
  }

  .message__link {
    font-size: 16px;
  }

  .widget,
  .payment-info {
    width: 100%;
  }

  .widget {
    padding: 8px 0;
    padding-top: 16px;
    gap: 8px;
  }


  .widget__column {
    width: auto;
  }

  .widget__text {
    font-size: 14px;
    gap: 4px;
  }

  .widget__image {
    width: 65px;
    height: 65px;
  }

  .payment-info {
    padding: 8px;
  }

  .payment-info__modal {
    font-size: 14px;
    width: 90%;
  }
}
